%define name	xpp
%define version	1.5
%define release	%mkrel 14

Summary:	X Printing Panel
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Publishing

Source0:		http://cups.sourceforge.net/xpp/%{name}-%{version}cvs.tar.gz
Patch0:		01_old_debian_changes.patch
Patch1:		02_build_system.patch
Patch2:		xpp-new-fltk.patch
Url:		http://cups.sourceforge.net/xpp/
BuildRequires:	libcups-devel fltk-devel
BuildRequires:	cups libstdc++-devel
BuildRequires:	libpng-devel libjpeg-devel
BuildRequires:  libxext-devel

%description
The X Printing Panel (XPP) is a completely free tool for easy choosing of
the desired printer out of a list of all available printers and
for setting printer options by an easy-to-use graphical user interface.
One simply calls the program (xpp) instead of the usual utilities
(lpr or lp) at the command line or out of applications.

%prep
%setup -qn %{name}
%apply_patches

%build
autoreconf -fi
%configure2_5x

make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=X Printing Panel
Comment=Frontend for easy printing with CUPS
Exec=%{_bindir}/%{name}
Icon=printing_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Utility;Settings;Printing;
EOF

# Use update-alternatives to make printing with XPP also possible with
# the "lpr" command

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s xpp lpr-xpp
)

%post
# Set up update-alternatives entry
%{_sbindir}/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-xpp 8

%preun
if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  %{_sbindir}/update-alternatives --remove lpr /usr/bin/lpr-xpp
fi

%files
%doc README LICENSE ChangeLog
%_bindir/*
%{_datadir}/applications/mageia-%{name}.desktop


%changelog
* Sun Nov 03 2013 fwang <fwang> 1.5-14.mga4
+ Revision: 549261
- call some old patches
- sync with debian packages
- use autoconf
- fix build with recent cups

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.5-13.mga3
+ Revision: 387326
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 cjw <cjw> 1.5-12.mga3
+ Revision: 333688
- patch 5 and 6: fix build with current cups and glibc header files

* Wed Aug 03 2011 fwang <fwang> 1.5-11.mga2
+ Revision: 131585
- build with fltk 1.3
- rebuild for new fltk

  + dmorgan <dmorgan>
    - Rebuild against new fltk

* Mon Jan 17 2011 dmorgan <dmorgan> 1.5-9.mga1
+ Revision: 21443
- Add missing %%post
- Add libxext-devel as buildrequire
- Remove mdv macros
- imported package xpp

